mantis items you can lookup at http://mantis.teamspeak.org

2.0.19.52
- MANTIS 0000588
- MANTIS 0000596
- tcpquery, dbuserlist added lastonline field
- tcpquery, dbsuserlist added lastonline field

2.0.19.51
- webinterface, fixed possibility to create clients/passwords with empty strings
- superadmin lastonline is updated for tcpquery-, webinterface logins
- tcpquery, command dbpi shows values for created/lastlonline
- tcpquery, command dbfp shows values for created/lastlonline
- tcpquery, command dbserverlist added field status (0=not running, 1=running)
- fixed memory leak inside webinterface if sa login failed due insufficient rights.
- win32, popupmenu click on administration opens default webbrowser with the
         superserveradmin login page instead of the serveradmin page.
- ini-file, added two new idents
    [Main Config]
    AllowedClientNameChars=                    ;Only NickNames which contains this chars are allowed
    DisAllowedClientNameChars=                 ;NickNames which contains this chars will be rejected
- tcpquery, globalset, two new idents
    allowedclientnamechars
    disallowedclientnamechars

2.0.19.50
- webinterface, fixed bug where it wasnt possible to change max spam commands
- sqlite database will auto VACUUM on start
- MANTIS 0000560
- MANTIS 0000538
- MANTIS 0000537
- MANTIS 0000508
- MANTIS 0000525
- MANTIS 0000507
- MANTIS 0000513
- MANTUS 0000519
- maximum entries to banlist limited to 20 until the protocol can handle more
- fixed sqlite parser bug
- fixed initial tcpqueryport is allready used check , was not binded to
  the correct serverip
- MANTIS 0000549
- tcpquery, added command removeclient
  removes the client from the server (other clients get a playerquit message)
  removeclient <pid>
- tcpquery, version command shows now servertype (free,commercial)  
- tcpquery, added command globalset
  globalset <varname> <value>
  hoster_gfx_url                (value is NOT saved to ini file,
                                 also only new logged in users
                                 get the new file)

2.0.19.49
- MANTIS 0000465
- MANTIS 0000481
- MANTIS 0000482
- tcpquery, added command banlist
  shows the banlist
- tcpquery, added command banadd
  banadd <ip> <minutes>
- tcpquery, added command banplayer
  banplayer <pid> <minutes>
- tcpquery, added command bandel
  bandel <dbid>
- tcpquery, added command banclear
  removes all bans
- tcpquery, added command ki (kickidlers)
  ki <max_idle_time_in_mins> <flags> <reason text>
  flags:
   1  kick unregistered clients
   2  kick registered clients
   4  kick only if client is on unregistered channel
   8  kick only if client is on registered channel

  exampel:
  ki 30 5 dont idle here
    kicks all who idle at least 30 minutes and are unregistered and on an unregistered channel.
- ServerAdmins cant exeed flood.
- tcpquery, msg,msgall,msgu @ will prevent telnet.loginname message

2.0.19.48
- MANTIS 0000460
- MANTIS 0000462
- added SSL for webinterface and tcpquery (only for commercial and on special-request)
- its now possible to bind the server, www, tcpquery to multiple ips
  (BoundToIp is replaced by BoundToIp1, BoundToIp2, BoundToIpX...)
- tcpquery, added command lc (list connections)
  gives a list of all established tcpquery connections
- tcpquery, added command msgu (message user)
  msgu <pid> <text>

2.0.19.47
- MANTIS 0000454
- MANTIS 0000453
- MANTIS 0000339
- MANTIS 0000407

2.0.19.46
- MANTIS 0000413
- MANTIS 0000394

2.0.19.45
- server.ini, added section [webpost] ident useragent
  define a useragent string for webpost (default: teamspeak)
- MANTIS 0000437
- server.ini, added section [spam] ident max_commands
  gives total count of commands allowed to receive in "in_seconds" before
  a serverside kick
- server.ini, added section [spam] ident in_seconds
  gives the timeslot in which "max_commands" has not to be exceeded
  to prevent a serverside kick
- server.ini, added section [log] ident kick_server
  logs serverkicks
- server.ini, added section [log] ident kick_channel
  logs channelkicks
- server.ini, added section [log] ident access_r
  set to log only registered user activity
- server.ini, added section [log] ident access_u
  set to log only unregistered user activity
- server.ini, removed section [log] ident access
- tcpquery, added command dbfp (db find player)
  dbfp <name>
- tcpquery, added command logfind
  logfind <text>

2.0.19.44
- MANTIS 0000414
- MANTIS 0000385
- MANTIS 0000409
- MANTIS 0000408
- tcpquery, added command logmark
  logmark <text>
  adds a remark to the serverlogfile
- tcpquery, added command log
  log <lines>  (default 30)
  display last <lines> from server.log

2.0.19.43
- MANTIS 0000404
- MANTIS 0000402
- MANTIS 0000257 ?
- MANTIS 0000395
- MANTIS 0000396
- MANTIS 0000398
- MANTIS 0000291
- MANTIS 0000386
- MANTIS 0000384
- MANTIS 0000377
- MANTIS 0000372
- tcpquery, command gi (global info) added idents
  isp_ispname
  isp_linkurl
  isp_adminemail
  isp_countrynumber
- server.ini, added section [log] ident sa
  logs joining, creating, granting and revoking of sa/ssa clients
  for tcpquery, clientside and webinterface
- server.ini, added section [log] ident channel_registerred & channel_unregisterred
  logs creating and deleting of channels done by users.
  autodeleting of unregistered channels after client
  left/quit are not logged.
- webinterface
  allowed codecs can be only changed by superserveradmin

2.0.19.42
- MANTIS 0000352
- MANTIS 0000257
- MANTIS 0000275
- MANTIS 0000346
- MANTIS 0000355
- MANTIS 0000351
- MANTIS 0000344
- webpost, bound udp socket to "BoundIp"
- tcpquery, added command gapl (get average packet loss (for selected server))
  gapl <sp>
- tcpquery, added command kick (kick player from server)
  kick <pid>

2.0.19.41
- more server performance fixes
- MANTIS 0000347

2.0.19.40
- Release to public

2.0.19.39
- MANTIS 0000329

2.0.19.38
- MANTIS 0000327
- MANTIS 0000321
- MANTIS 0000318
- MANTIS 0000323
- tcpquery, fixed bug which allowed only one connection per ip
- tcpquery, command serverset ident values changed/added
  server_allow_codec_speex15000 <1/0>
  server_allow_codec_speex18200 <1/0>
  server_allow_codec_speex24600 <1/0>
- tcpquery, command serverinfo changed/added
  server_allow_codec_speex15000
  server_allow_codec_speex18200
  server_allow_codec_speex24600

2.0.19.37
- MANTIS 0000317
- MANTIS 0000313
- MANTIS 0000309

2.0.19.36
- MANTIS 0000107
- tcpquery, command serverset ident values changed/added
  server_allow_codec_speex2150 <1/0>
  server_allow_codec_speex3950 <1/0>
  server_allow_codec_speex5950 <1/0>
  server_allow_codec_speex8000 <1/0>
  server_allow_codec_speex11000 <1/0>
- tcpquery, command serverinfo changed/added
  server_allow_codec_speex2150
  server_allow_codec_speex3950
  server_allow_codec_speex5950
  server_allow_codec_speex8000
  server_allow_codec_speex11000
- added new playerprivilege channelembodied
  players who have this privilege are unable to switch channels.
- tcpquery, added command sppriv (set playerprivileges)
  sppriv <id> <ident> <1/0>
  idents:
    privilege_serveradmin
    privilege_canregister
    privilege_channelembodied

2.0.19.35
- MANTIS 0000289
- MANTIS 0000275
- MANTIS 0000304
- MANTIS 0000299
- MANTIS 0000279
- MANTIS 0000099
- MANTIS 0000298
- tcpquery, added command mptc (move player to channel)
  mptc <newchannelid> <playerid>
- tcpquery, added command fp (find player) (auto wildcard search in login name + nick)
  fp <name>
- tcpquery, added command pi (player info)
  pi <id>
- tcpquery, added command dbuserid (get dbid from user loginname)
  dbuserid <loginname>
- tcpquery, added command rehash (reloads server settings)
- removed security hole that registered users could see ips at tcpquery
- removed security hole that allowed to bruteforce passwords over tcpquery
  3 invalid tries = 5 minute ip ban
  < 3 invalid tries and a disconnect, gives 60 seconds reconnect ip ban

2.0.19.34
- MANTIS 0000291
- MANTIS 0000297
- MANTIS 0000296
- MANTIS 0000280
- MANTIS 0000281
- MANTIS 0000285
- MANTIS 0000282
- server.ini, Win32, added config entry 'Main Config','TrayIdent' to set the hint of
  the trayicon.

2.0.19.33
- SPEEX codecs added

2.0.19.32
- MANTIS 0000256
- MANTIS 0000254
- MANTIS 0000248
- fixed channel id numbering
- webinterface, added basic settings page for superadmin
- server.ini, added ISPCountryNumber

2.0.19.31
- MANTIS 0000247
- MANTIS 0000204
- fixed bug that you wasnt able to delete channels anymore (if you wasnt inside the channel)
- udp stack bug removed which caused delays, connect problems, etc.
- webinterface, fixed bug where you was unable to delete users with special characters
  (please update also httpdocs)
- tcpquery, added commands to admin superadmins
  dbsuserlist
  dbsuseradd <name> <pw1> <pw2>
  dbsuserdel <dbid>
  dbsuserchangepw <dbid> <pw1> <pw2>
- tcpquery, added headers for list outputs.

2.0.19.30
- MANTIS 0000220
- MANTIS 0000239
- MANTIS 0000240
- MANTIS 0000182
- tcpquery, fixed linux missing linefeed
- webinterface, server settings, server_maxusers can be only
  changed with superadmin rights. (workaround until there
  is a general fixup on permissions)

2.0.19.29
- Linux, fixed pid file not created bug.
- MANTIS 0000237
- MANTIS 0000184
- MANTIS 0000094
- tcpquery, added command gi (global info) displays totals of all servers running.
- tcpquery, command serverset ident values changed/added
  server_clan_server <1/0>
  server_allow_codec_windowscelp52 <1/0>
  server_allow_codec_gsm164 <1/0>
  server_allow_codec_gsm148 <1/0>
  server_allow_codec_celp63 <1/0>
  server_allow_codec_celp51 <1/0>
  server_maxusers <integer>
  server_password <string>  (#CLEAR# for empty)
  server_name <string>
  server_welcomemessage <string>
  server_webpost_posturl <string>
  server_webpost_linkurl <string>
- tcpquery, command serverinfo changed/added
  server_allow_codec_windowscelp52
  server_allow_codec_gsm164
  server_allow_codec_gsm148
  server_allow_codec_celp63
  server_allow_codec_celp51
  server_webpost_posturl
  server_webpost_linkurl
  server_clan_server

2.0.19.28
- udp stack performance changes

2.0.19.27
- MANTIS 0000228
- MANTIS 0000233
- udp stack performance fixes

2.0.19.26
- MANTIS 000200
- MANTIS 000206
- MANTIS 000203

2.0.19.25
- improved channel & client list performance

2.0.19.24
- MANTIS 000175
- fixed initial server creating/handling if port is used.
  - ini settings are created
  - accounts for admin and superadmin are created
    so you can login with superadmin account to change
    udpport.
- added correct exception codes for tcpquery, webinterface, ts servers. (port bindings)
- MANTIS 000180

2.0.19.23
- MANTIS 000146
- MANTIS 000160

2.0.19.22
- fixed update ip bug with windows server version
- MANTIS 0000129
- MANTIS 0000150
- improved sql interface performance
- MANTIS 0000091

2.0.19.21
- fixed crash/lock issues on invalid ports in combination of multipleservers at startup time

2.0.19.20
- windows, added commandline -nopwdialog (dont shows the password dialog)
- MANTIS 0000123
- MANTIS 0000110
- MANTIS 0000120

2.0.19.19
- linux, sqlite.dll (sqlite.so) is now also found if started indirectly
  from an other directory.
- directory home is the location of the exe

2.0.19.18
- SQLite Multithreading Enhancements

2.0.19.17
- MANTIS 0000077
- MANTIS 0000090
- MANTIS 0000095
- MANTIS 0000102
- MANTIS 0000105
